%define with_repolib 1
%define repodir %{_javadir}/repository.jboss.com/juddi/0.9RC4-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:          juddi
Version:       0.9
Release:       %mkrel 0.rc4.2
Summary:       Open source Java implementation UDDI specification
Group:         Development/Java
License:       ASL 2.0
Url:           http://juddi.apache.org/
# svn export https://svn.apache.org/repos/asf/juddi/tags/juddi-0_9rc4/ juddi-0.9
# tar czf juddi-0.9-src-svn.tar.gz juddi-0.9
Source0:       juddi-0.9-src-svn.tar.gz
Source1:       juddi-component-info.xml
Patch0:        juddi-jdk5-enum.patch
BuildRequires: ant
BuildRequires: axis
BuildRequires: jpackage-utils
BuildRequires: apache-commons-logging
BuildRequires: tomcat5-servlet-2.4-api
Requires:      apache-commons-logging
Requires:      jpackage-utils
Requires:      tomcat5-servlet-2.4-api
BuildArch:     noarch

%description
jUDDI (pronounced "Judy") is an open source Java implementation
of the Universal Description, Discovery, and Integration (UDDI)
specification for Web Services.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
jUDDI - Open source Java implementation UDDI specification.

This package contains javadoc for %{name}

%if %with_repolib
%package repolib
Group:         Development/Java
Summary:       Artifacts to be uploaded to a repository library

%description repolib
jUDDI - Open source Java implementation UDDI specification.

This package contains artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package sql-init-statements
Group:         Development/Java
Summary:       SQL statements for database creation/configuration
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description sql-init-statements
jUDDI - Open source Java implementation UDDI specification.

This package contains SQL statements for creation/configuration of a database
for storing web services metadata for %{name}.

%package apps
Group:         Development/Java
Summary:       EAR file for jUDDI
# todo Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      apache-commons-logging
Requires:      axis
Requires:      tomcat5-servlet-2.4-api

%description apps
jUDDI - Open source Java implementation UDDI specification.

This package contains the Enterprise Archive (ear) file for %{name}.

%package webapps
Group:         Development/Java
Summary:       WAR file for jUDDI
# todo Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      apache-commons-logging
Requires:      axis
Requires:      tomcat5-servlet-2.4-api

%description webapps
jUDDI - Open source Java implementation UDDI specification.

This package contains the Web Archive (war) file for %{name}.

%prep
%setup -q -n juddi-%{version}
%patch0 -p1
for j in $(find . -name "*.jar"); do
  rm -rf $j
done

# webapp/WEB-INF/lib/wsdl4j-1.5.1.jar
# webapp/WEB-INF/lib/commons-discovery-0.2.jar
# webapp/WEB-INF/lib/commons-logging-1.0.4.jar
# webapp/WEB-INF/lib/axis.jar
# webapp/WEB-INF/lib/log4j-1.2.8.jar

for c in $(find . -name "*.jar"); do
  rm -rf $c
done
mkdir externals
build-jar-repository lib axis/axis axis/jaxrpc axis/saaj commons-logging servletapi5

for i in src/java/org/apache/juddi/datatype/tmodel/TModel.java src/java/org/apache/juddi/datatype/request/DeleteTModel.java
do
        native2ascii -encoding UTF8 $i $i
done

%build

export OPT_JAR_LIST=:
export CLASSPATH=
ant ear javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/juddi
install -m 644 build/juddi.ear \
   %{buildroot}%{_javadir}/juddi/juddi-%{version}.ear
install -m 644 build/juddi.jar \
   %{buildroot}%{_javadir}/juddi/juddi-%{version}.jar
install -m 644 build/juddi.war \
   %{buildroot}%{_javadir}/juddi/juddi-%{version}.war

(
  cd %{buildroot}%{_javadir}/juddi/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_localstatedir}/lib/juddi/sql
mv sql/* %{buildroot}%{_localstatedir}/lib/juddi/sql
mkdir -p %{buildroot}%{_localstatedir}/lib/juddi/webapps
#mv build/webapp/* %{buildroot}%{_localstatedir}/lib/juddi/webapps

mkdir -p %{buildroot}%{_datadir}/juddi
pushd %{buildroot}%{_datadir}/juddi
[ -d webapps ] || ln -fs %{_localstatedir}/lib/juddi/webapps webapps
[ -d sql ] || ln -fs %{_localstatedir}/lib/juddi/sql sql
popd

mkdir -p %{buildroot}%{_javadocdir}/juddi-%{version}
cp -pr build/docs/apiDocs/* %{buildroot}%{_javadocdir}/juddi-%{version}
ln -s juddi-%{version} %{buildroot}%{_javadocdir}/juddi

%if %with_repolib
mkdir -p %{buildroot}%{repodir}
mkdir -p %{buildroot}%{repodirlib}
install -pm 644 %{SOURCE1} %{buildroot}%{repodir}/component-info.xml
tag=`echo juddi-%{version}.rc4-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
mkdir -p %{buildroot}%{repodirsrc}
install -pm 644 %{SOURCE0} %{buildroot}%{repodirsrc}
cp -p %{buildroot}%{_javadir}/juddi/juddi-%{version}.jar %{buildroot}%{repodirlib}/juddi.jar
cp -p %{buildroot}%{_javadir}/juddi/juddi-%{version}.war %{buildroot}%{repodirlib}/juddi.war
%endif

%files
%{_javadir}/juddi/juddi-%{version}.jar
%{_javadir}/juddi/juddi.jar
%dir %{_localstatedir}/lib/juddi/webapps

%files javadoc
%{_javadocdir}/juddi-%{version}
%{_javadocdir}/juddi

%files sql-init-statements
%dir %{_localstatedir}/lib/juddi
%{_localstatedir}/lib/juddi/sql
%dir %{_datadir}/juddi/sql

%files apps
%{_javadir}/juddi/juddi-%{version}.ear
%{_javadir}/juddi/juddi.ear

%files webapps
%{_javadir}/juddi/juddi-%{version}.war
%{_javadir}/juddi/juddi.war
%dir %{_datadir}/juddi/webapps

%if %with_repolib
%files repolib
%{repodir}
%endif



%changelog

* Sun Jan 13 2013 dmorgan <dmorgan> 0.9-0.rc4.2.mga3
+ Revision: 370228
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 11 2011 dmorgan <dmorgan> 0.9-0.rc4.1.mga2
+ Revision: 132707
- Clean spec file

  + gil <gil>
    - imported package juddi


* Sat Jul 09 2011 gil <gil> 0.9-0.%%mkrel
- initial rpm
